function y = boundfunc(x,theta_low)
%% the input x must be bounded between 1 and -1;
if abs(x)>1;
    error('the input x must be bounded between 1 and -1')
end
eps       = 1e-4;
y         = 0.5*(1+theta_low+eps)+0.5*(1-theta_low-eps)*atan(x)/atan(1)-eps;